C# Class Revit.SDK.Samples.Ribbon.CS.CreateWall

Inheritance: IExternalCommand
Show file Open project: AMEE/revit

Public Properties

Property Type Description
CreatedWalls ElementSet

Public Methods

Method Description
Execute ( ExternalCommandData revit, string &message, ElementSet elements ) : Autodesk.Revit.UI.Result
GetRibbonItemByName ( RibbonPanel panelRibbon, String itemName ) : RibbonItem

return the RibbonItem by the input name in a specific panel

Protected Methods

Method Description
GetCircleWallShape ( Autodesk creApp ) : CurveArray
GetNewWallLevel ( Autodesk app ) : Level
GetNewWallMark ( Autodesk app ) : String
GetNewWallShape ( Autodesk app ) : CurveArray
GetNewWallType ( Autodesk app ) : WallType
GetRectangleWallShape ( Autodesk creApp ) : CurveArray
GetSquareWallShape ( Autodesk creApp ) : CurveArray
GetTriangleWallShape ( Autodesk creApp ) : CurveArray

Method Details

Execute() public method

public Execute ( ExternalCommandData revit, string &message, ElementSet elements ) : Autodesk.Revit.UI.Result
revit ExternalCommandData
message string
elements ElementSet
return Autodesk.Revit.UI.Result

GetCircleWallShape() protected method

protected GetCircleWallShape ( Autodesk creApp ) : CurveArray
creApp Autodesk
return CurveArray

GetNewWallLevel() protected method

protected GetNewWallLevel ( Autodesk app ) : Level
app Autodesk
return Level

GetNewWallMark() protected method

protected GetNewWallMark ( Autodesk app ) : String
app Autodesk
return String

GetNewWallShape() protected method

protected GetNewWallShape ( Autodesk app ) : CurveArray
app Autodesk
return CurveArray

GetNewWallType() protected method

protected GetNewWallType ( Autodesk app ) : WallType
app Autodesk
return WallType

GetRectangleWallShape() protected method

protected GetRectangleWallShape ( Autodesk creApp ) : CurveArray
creApp Autodesk
return CurveArray

GetRibbonItemByName() public method

return the RibbonItem by the input name in a specific panel
public GetRibbonItemByName ( RibbonPanel panelRibbon, String itemName ) : RibbonItem
panelRibbon RibbonPanel RibbonPanel which contains the RibbonItem
itemName String name of RibbonItem
return RibbonItem

GetSquareWallShape() protected method

protected GetSquareWallShape ( Autodesk creApp ) : CurveArray
creApp Autodesk
return CurveArray

GetTriangleWallShape() protected method

protected GetTriangleWallShape ( Autodesk creApp ) : CurveArray
creApp Autodesk
return CurveArray

Property Details

CreatedWalls public static property

public static ElementSet CreatedWalls
return ElementSet